Package com.evopdf

# Class PdfFormRadioButtonsGroup

java.lang.Object
com.evopdf.PdfFormField
com.evopdf.PdfFormRadioButtonsGroup

public class PdfFormRadioButtonsGroup extends PdfFormField
Represents a group of radio buttons in a PDF form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdfFormRadioButtonsGroup()`
  Constructs a radio buttons group

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRadioButton(PdfFormRadioButton radioButton)`
  Adds a radio button field to this document right after the last PDF element added to document or to a page
  `void`
  `addRadioButton(PdfFormRadioButton radioButton, float offsetY)`
  Adds a radio button field to this document at the given Y offset after the last PDF element added to document or to a page
  `void`
  `addRadioButton(PdfFormRadioButton radioButton, float xLocation, boolean relativeXLocation, boolean offsetXFromStart, float yLocation, boolean relativeYLocation, boolean offsetYFromEnd)`
  Adds a radio button field to this document at the given X and Y location in the PDF page where the last element rendering ended.
  `void`
  `addRadioButton(PdfFormRadioButton radioButton, float xLocation, boolean relativeXLocation, float yLocation, boolean relativeYLocation)`
  Adds a radio button field to this document at the given X and Y location in the PDF page where the last element rendering ended.
  `void`
  `addRadioButton(PdfFormRadioButton radioButton, float offsetX, float offsetY)`
  Adds a radio button field to this document at the given X offset and the given Y offset after the last PDF element added to document or to a page
  `void`
  `addRadioButton(PdfPage pdfPage, PdfFormRadioButton radioButton)`
  Creates a radio button with given box and the given name in the given PDF page
  `void`
  `setCheckedRadioButton(PdfFormRadioButton radioButton)`
  Call this method to check on the given radio button

  ### Methods inherited from class com.evopdf.PdfFormField

  `boundingRectangle, defaultValue, export, flatten, name, parentForm, readOnly, required, setAction, setBoundingRectangle, setDefaultValue, setExport, setFlatten, setName, setReadOnly, setRequired, setStyle, setToolTip, style, toolTip`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PdfFormRadioButtonsGroup

    public PdfFormRadioButtonsGroup()
    Constructs a radio buttons group

- ## Method Details

  - ### addRadioButton

    public void addRadioButton(PdfPage pdfPage, PdfFormRadioButton radioButton)
    Creates a radio button with given box and the given name in the given PDF page
    Parameters:
      `pdfPage` - The PDF page where to add this radio button
      `radioButton` - The radio button field to add

  - ### addRadioButton

    public void addRadioButton(PdfFormRadioButton radioButton) throws Exception
    Adds a radio button field to this document right after the last PDF element added to document or to a page
    Parameters:
      `radioButton` - the radio button to add
    Throws:
      `Exception` - an exception is thrown if the radio button cannot be added

  - ### addRadioButton

    public void addRadioButton(PdfFormRadioButton radioButton, float offsetY) throws Exception
    Adds a radio button field to this document at the given Y offset after the last PDF element added to document or to a page
    Parameters:
      `radioButton` - the radio button to add
      `offsetY` - the Y offset from the last PDF element added to document
    Throws:
      `Exception` - an exception is thrown if the radio button cannot be added

  - ### addRadioButton

    public void addRadioButton(PdfFormRadioButton radioButton, float offsetX, float offsetY) throws Exception
    Adds a radio button field to this document at the given X offset and the given Y offset after the last PDF element added to document or to a page
    Parameters:
      `radioButton` - the radio button to add
      `offsetX` - the X offset from the last PDF element added to document
      `offsetY` - the Y offset from the last PDF element added to document
    Throws:
      `Exception` - an exception is thrown if the radio button cannot be added

  - ### addRadioButton

    public void addRadioButton(PdfFormRadioButton radioButton, float xLocation, boolean relativeXLocation, float yLocation, boolean relativeYLocation) throws Exception
    Adds a radio button field to this document at the given X and Y location in the PDF page where the last element rendering ended. The location can be absolute in PDF page or relative as an offset from the position where the last element rendering ended
    Parameters:
      `radioButton` - the radio button field to be added
      `xLocation` - the X location of the element in the PDF page where the last element rendering ended
      `relativeXLocation` - the X location can be relative to the position where the last element rendering ended or absolute in PDF page where the last element rendering ended
      `yLocation` - the Y location of the element in the PDF page where the last element rendering ended
      `relativeYLocation` - the Y location can be relative to the position where the last element rendering ended or absolute in PDF page where the last element rendering ended
    Throws:
      `Exception` - an exception is thrown if the radio button cannot be added

  - ### addRadioButton

    public void addRadioButton(PdfFormRadioButton radioButton, float xLocation, boolean relativeXLocation, boolean offsetXFromStart, float yLocation, boolean relativeYLocation, boolean offsetYFromEnd) throws Exception
    Adds a radio button field to this document at the given X and Y location in the PDF page where the last element rendering ended. The location can be absolute in PDF page or relative as an offset from the position where the last element rendering ended.
    Parameters:
      `radioButton` - the radio button to be added
      `xLocation` - the X location of the element in the PDF page where the last element rendering ended
      `relativeXLocation` - the X location can be relative to the position where the last element rendering ended or absolute in PDF page where the last element rendering ended
      `offsetXFromStart` - specifies if the the relative X location is calculated from the start X coordinate of last rendered element or from the end X coordinate
      `yLocation` - the Y location of the element in the PDF page where the last element rendering ended
      `relativeYLocation` - the Y location can be relative to the position where the last element rendering ended or absolute in PDF page where the last element rendering ended
      `offsetYFromEnd` - specifies if the the relative Y location is calculated from the end Y coordinate of last rendered element or from the start Y coordinate
    Throws:
      `Exception` - an exception is thrown if the radio button cannot be added

  - ### setCheckedRadioButton

    public void setCheckedRadioButton(PdfFormRadioButton radioButton) throws Exception
    Call this method to check on the given radio button
    Parameters:
      `radioButton` - the radio button to check on
    Throws:
      `Exception` - an exception is thrown if the radio button cannot be checked